org.apache.tinkerpop.gremlin.structure

## Interface Graph.Features.DataTypeFeatures

- All Superinterfaces:
    Graph.Features.FeatureSet
  All Known Subinterfaces:
    Graph.Features.EdgePropertyFeatures, Graph.Features.PropertyFeatures, Graph.Features.VariableFeatures, Graph.Features.VertexPropertyFeatures
  All Known Implementing Classes:
    EmptyGraph.EmptyGraphFeatures.EmptyGraphEdgePropertyFeatures, EmptyGraph.EmptyGraphFeatures.EmptyGraphVertexPropertyFeatures, Neo4jGraph.Neo4jGraphFeatures.Neo4jEdgePropertyFeatures, Neo4jGraph.Neo4jGraphFeatures.Neo4jVertexPropertyFeatures, Neo4jGraphVariables.Neo4jVariableFeatures, TinkerGraph.TinkerGraphVertexPropertyFeatures
  Enclosing interface:
    Graph.Features

      public static interface Graph.Features.DataTypeFeatures
      extends Graph.Features.FeatureSet

  Base interface for features that relate to supporting different data types.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FEATURE_BOOLEAN_ARRAY_VALUES`
    `static String` | `FEATURE_BOOLEAN_VALUES`
    `static String` | `FEATURE_BYTE_ARRAY_VALUES`
    `static String` | `FEATURE_BYTE_VALUES`
    `static String` | `FEATURE_DOUBLE_ARRAY_VALUES`
    `static String` | `FEATURE_DOUBLE_VALUES`
    `static String` | `FEATURE_FLOAT_ARRAY_VALUES`
    `static String` | `FEATURE_FLOAT_VALUES`
    `static String` | `FEATURE_INTEGER_ARRAY_VALUES`
    `static String` | `FEATURE_INTEGER_VALUES`
    `static String` | `FEATURE_LONG_ARRAY_VALUES`
    `static String` | `FEATURE_LONG_VALUES`
    `static String` | `FEATURE_MAP_VALUES`
    `static String` | `FEATURE_MIXED_LIST_VALUES`
    `static String` | `FEATURE_SERIALIZABLE_VALUES`
    `static String` | `FEATURE_STRING_ARRAY_VALUES`
    `static String` | `FEATURE_STRING_VALUES`
    `static String` | `FEATURE_UNIFORM_LIST_VALUES`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default boolean` | `supportsBooleanArrayValues()` Supports setting of an array of boolean values.
    `default boolean` | `supportsBooleanValues()` Supports setting of a boolean value.
    `default boolean` | `supportsByteArrayValues()` Supports setting of an array of byte values.
    `default boolean` | `supportsByteValues()` Supports setting of a byte value.
    `default boolean` | `supportsDoubleArrayValues()` Supports setting of an array of double values.
    `default boolean` | `supportsDoubleValues()` Supports setting of a double value.
    `default boolean` | `supportsFloatArrayValues()` Supports setting of an array of float values.
    `default boolean` | `supportsFloatValues()` Supports setting of a float value.
    `default boolean` | `supportsIntegerArrayValues()` Supports setting of an array of integer values.
    `default boolean` | `supportsIntegerValues()` Supports setting of a integer value.
    `default boolean` | `supportsLongArrayValues()` Supports setting of an array of long values.
    `default boolean` | `supportsLongValues()` Supports setting of a long value.
    `default boolean` | `supportsMapValues()` Supports setting of a `Map` value.
    `default boolean` | `supportsMixedListValues()` Supports setting of a `List` value.
    `default boolean` | `supportsSerializableValues()` Supports setting of a Java serializable value.
    `default boolean` | `supportsStringArrayValues()` Supports setting of an array of string values.
    `default boolean` | `supportsStringValues()` Supports setting of a string value.
    `default boolean` | `supportsUniformListValues()` Supports setting of a `List` value.

- - ### Field Detail

    - #### FEATURE_BOOLEAN_VALUES

          static final String FEATURE_BOOLEAN_VALUES

      See Also:
        Constant Field Values

    - #### FEATURE_BYTE_VALUES

          static final String FEATURE_BYTE_VALUES

      See Also:
        Constant Field Values

    - #### FEATURE_DOUBLE_VALUES

          static final String FEATURE_DOUBLE_VALUES

      See Also:
        Constant Field Values

    - #### FEATURE_FLOAT_VALUES

          static final String FEATURE_FLOAT_VALUES

      See Also:
        Constant Field Values

    - #### FEATURE_INTEGER_VALUES

          static final String FEATURE_INTEGER_VALUES

      See Also:
        Constant Field Values

    - #### FEATURE_LONG_VALUES

          static final String FEATURE_LONG_VALUES

      See Also:
        Constant Field Values

    - #### FEATURE_MAP_VALUES

          static final String FEATURE_MAP_VALUES

      See Also:
        Constant Field Values

    - #### FEATURE_MIXED_LIST_VALUES

          static final String FEATURE_MIXED_LIST_VALUES

      See Also:
        Constant Field Values

    - #### FEATURE_BOOLEAN_ARRAY_VALUES

          static final String FEATURE_BOOLEAN_ARRAY_VALUES

      See Also:
        Constant Field Values

    - #### FEATURE_BYTE_ARRAY_VALUES

          static final String FEATURE_BYTE_ARRAY_VALUES

      See Also:
        Constant Field Values

    - #### FEATURE_DOUBLE_ARRAY_VALUES

          static final String FEATURE_DOUBLE_ARRAY_VALUES

      See Also:
        Constant Field Values

    - #### FEATURE_FLOAT_ARRAY_VALUES

          static final String FEATURE_FLOAT_ARRAY_VALUES

      See Also:
        Constant Field Values

    - #### FEATURE_INTEGER_ARRAY_VALUES

          static final String FEATURE_INTEGER_ARRAY_VALUES

      See Also:
        Constant Field Values

    - #### FEATURE_LONG_ARRAY_VALUES

          static final String FEATURE_LONG_ARRAY_VALUES

      See Also:
        Constant Field Values

    - #### FEATURE_SERIALIZABLE_VALUES

          static final String FEATURE_SERIALIZABLE_VALUES

      See Also:
        Constant Field Values

    - #### FEATURE_STRING_ARRAY_VALUES

          static final String FEATURE_STRING_ARRAY_VALUES

      See Also:
        Constant Field Values

    - #### FEATURE_STRING_VALUES

          static final String FEATURE_STRING_VALUES

      See Also:
        Constant Field Values

    - #### FEATURE_UNIFORM_LIST_VALUES

          static final String FEATURE_UNIFORM_LIST_VALUES

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### supportsBooleanValues

          default boolean supportsBooleanValues()

      Supports setting of a boolean value.

    - #### supportsByteValues

          default boolean supportsByteValues()

      Supports setting of a byte value.

    - #### supportsDoubleValues

          default boolean supportsDoubleValues()

      Supports setting of a double value.

    - #### supportsFloatValues

          default boolean supportsFloatValues()

      Supports setting of a float value.

    - #### supportsIntegerValues

          default boolean supportsIntegerValues()

      Supports setting of a integer value.

    - #### supportsLongValues

          default boolean supportsLongValues()

      Supports setting of a long value.

    - #### supportsMapValues

          default boolean supportsMapValues()

      Supports setting of a `Map` value. The assumption is that the `Map` can contain arbitrary serializable values that may or may not be defined as a feature itself.

    - #### supportsMixedListValues

          default boolean supportsMixedListValues()

      Supports setting of a `List` value. The assumption is that the `List` can contain arbitrary serializable values that may or may not be defined as a feature itself. As this `List` is "mixed" it does not need to contain objects of the same type.
      See Also:
        `supportsMixedListValues()`

    - #### supportsBooleanArrayValues

          default boolean supportsBooleanArrayValues()

      Supports setting of an array of boolean values.

    - #### supportsByteArrayValues

          default boolean supportsByteArrayValues()

      Supports setting of an array of byte values.

    - #### supportsDoubleArrayValues

          default boolean supportsDoubleArrayValues()

      Supports setting of an array of double values.

    - #### supportsFloatArrayValues

          default boolean supportsFloatArrayValues()

      Supports setting of an array of float values.

    - #### supportsIntegerArrayValues

          default boolean supportsIntegerArrayValues()

      Supports setting of an array of integer values.

    - #### supportsStringArrayValues

          default boolean supportsStringArrayValues()

      Supports setting of an array of string values.

    - #### supportsLongArrayValues

          default boolean supportsLongArrayValues()

      Supports setting of an array of long values.

    - #### supportsSerializableValues

          default boolean supportsSerializableValues()

      Supports setting of a Java serializable value.

    - #### supportsStringValues

          default boolean supportsStringValues()

      Supports setting of a string value.

    - #### supportsUniformListValues

          default boolean supportsUniformListValues()

      Supports setting of a `List` value. The assumption is that the `List` can contain arbitrary serializable values that may or may not be defined as a feature itself. As this `List` is "uniform" it must contain objects of the same type.
      See Also:
        `supportsMixedListValues()`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.